Bug 377451 - (CVE-2007-5925) CVE-2007-5925 mysql DoS in the InnoDB Engine
CVE-2007-5925 mysql DoS in the InnoDB Engine
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=secalert,reported=20071106,pub...
: Security
Depends On: 422161 422171 422181 422191 422201 422211 424921 424931
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 05:28 EST by Tomas Hoger
Modified: 2010-10-22 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 11:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against 5.0.45 (3.35 KB, patch)
2007-11-21 12:29 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2007-11-12 05:28:56 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5925 to the following vulnerability:

The convert_search_mode_to_innobase function in ha_innodb.cc in the InnoDB
engine in MySQL 5.1.23-BK and earlier allows remote authenticated users to
cause a denial of service (database crash) via a certain CONTAINS operation on
an indexed column, which triggers an assertion error.

References:
http://bugs.mysql.com/bug.php?id=32125
http://lists.grok.org.uk/pipermail/full-disclosure/2007-November/067350.html
http://xforce.iss.net/xforce/xfdb/38284
Comment 3 Tomas Hoger 2007-11-21 12:29:00 EST
Created attachment 266161 [details]
Patch against 5.0.45

Bug is private, but bug attachments are not:

http://bugs.mysql.com/file.php?id=7802&text=1
Comment 10 Tomas Hoger 2007-12-19 11:36:03 EST
Problem was fixed in all affected supported products:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1155.html

Red Hat Application Stack:  	
  http://rhn.redhat.com/errata/RHSA-2007-1157.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-4471
  https://admin.fedoraproject.org/updates/F8/FEDORA-2007-4465

Note You need to log in before you can comment on or make changes to this bug.